LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   Trying to install Radeon M11 Mobility -Problems! (http://www.linuxquestions.org/questions/debian-26/trying-to-install-radeon-m11-mobility-problems-274093/)

mors 01-05-2005 06:31 AM

Trying to install Radeon M11 Mobility -Problems!
 
Hi, I'm a complete newb, but I'm trying to learn as much as I can as I go along. I've installed knoppix on my laptop (A version of the mitac 8050) BUT it has a M11 gfx card in. Now reading through these forums I see that ATI aren't the best for linux support. I did grab their rpm driver and ran it through alien, but that buggered my system and I lost X from it, and I wasn't savvy enough to get it back, I had to rebuild Sad
So I've been trying to follow the experimental type driver from:
hxxp://xxx.stanchina.net/~flavio/debian/fglrx-installer.html
I installed from the package manager, the driver, driver source, and the kernel source and then tried to follow the guide. I've now got to part 4 and it's stumped me. It's trying to get me to compile the module into the kernel, and I cant get it to happen with any of the methods it advises - make script, make from kernel, or make-kpkg. It needs me to install/unpack the sources for my kernel, which I think is 2.6.5 but when I went onto the package manager (which was probably the wrong thing to do!!) I couldn't find a kernal source for 2.6.5. I'm not sure how to do this.
So now I'm stuck! Sad
I'd like to install the driver for my card as I'm only getting about 500 from glxgears and I've read that this 128mb can do better than that?

Can anyone help me or point me in the right direction?

If you need any system info let me know, and I'll try and work out the command to get it!! lol

Thanks for any help

Mors

Ac1db0rN 02-15-2005 11:13 AM

Knoppix doesn't include the kernel source for 2.6.5, only for the 2.4.27 kernel.


All times are GMT -5. The time now is 08:19 PM.